ClobValue
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class ClobValue

    java.lang.Object
      java.io.Reader
          org.postgresql.pljava.jdbc.ClobValue

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable, java.sql.Clob

    public class ClobValue

extends java.io.Reader
implements java.sql.Clob

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`ClobValue(java.io.Reader reader, long nChars)`
`ClobValue(java.lang.String value)`

Method Summary
`void` | `close()`
`void` | `free()`
`java.io.InputStream` | `getAsciiStream()`
`java.io.Reader` | `getCharacterStream()`
`java.io.Reader` | `getCharacterStream(long pos, long length)`
`static int` | `getReaderLength(java.io.Reader value)`
`java.lang.String` | `getSubString(long pos, int length)`
`long` | `length()`
`void` | `mark(int readLimit)`
`boolean` | `markSupported()`
`long` | `position(java.sql.Clob pattern, long start)` Not supported.
`long` | `position(java.lang.String pattern, long start)` In this method is not supported by `ClobValue`
`int` | `read()`
`int` | `read(char[] b)`
`int` | `read(char[] b, int off, int len)`
`boolean` | `ready()`
`void` | `reset()`
`java.io.OutputStream` | `setAsciiStream(long pos)` In this method is not supported by `ClobValue`
`java.io.Writer` | `setCharacterStream(long pos)` In this method is not supported by `ClobValue`
`int` | `setString(long pos, java.lang.String str)` In this method is not supported by `ClobValue`
`int` | `setString(long pos, java.lang.String str, int offset, int len)` In this method is not supported by `ClobValue`
`long` | `skip(long nBytes)`
`void` | `truncate(long len)` In this method is not supported by `ClobValue`

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClobValue

    public ClobValue(java.io.Reader reader,
                     long nChars)

### ClobValue

    public ClobValue(java.lang.String value)

Method Detail

### getReaderLength

    public static int getReaderLength(java.io.Reader value)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### getAsciiStream

    public java.io.InputStream getAsciiStream()

  Specified by:
    `getAsciiStream` in interface `java.sql.Clob`

### getCharacterStream

    public java.io.Reader getCharacterStream()

  Specified by:
    `getCharacterStream` in interface `java.sql.Clob`

### getSubString

    public java.lang.String getSubString(long pos,
                                         int length)
                                  throws java.sql.SQLException

  Specified by:
    `getSubString` in interface `java.sql.Clob`
  Throws:
    `java.sql.SQLException`

### length

    public long length()

  Specified by:
    `length` in interface `java.sql.Clob`

### mark

    public void mark(int readLimit)
              throws java.io.IOException

  Overrides:
    `mark` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.Reader`

### position

    public long position(java.sql.Clob pattern,
                         long start)

  Not supported.

  Specified by:
    `position` in interface `java.sql.Clob`

### position

    public long position(java.lang.String pattern,
                         long start)

  In this method is not supported by `ClobValue`

  Specified by:
    `position` in interface `java.sql.Clob`

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### read

    public int read(char[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### read

    public int read(char[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### ready

    public boolean ready()
                  throws java.io.IOException

  Overrides:
    `ready` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    `reset` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### setAsciiStream

    public java.io.OutputStream setAsciiStream(long pos)

  In this method is not supported by `ClobValue`

  Specified by:
    `setAsciiStream` in interface `java.sql.Clob`

### setCharacterStream

    public java.io.Writer setCharacterStream(long pos)

  In this method is not supported by `ClobValue`

  Specified by:
    `setCharacterStream` in interface `java.sql.Clob`

### setString

    public int setString(long pos,
                         java.lang.String str)

  In this method is not supported by `ClobValue`

  Specified by:
    `setString` in interface `java.sql.Clob`

### setString

    public int setString(long pos,
                         java.lang.String str,
                         int offset,
                         int len)

  In this method is not supported by `ClobValue`

  Specified by:
    `setString` in interface `java.sql.Clob`

### skip

    public long skip(long nBytes)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### truncate

    public void truncate(long len)

  In this method is not supported by `ClobValue`

  Specified by:
    `truncate` in interface `java.sql.Clob`

### free

    public void free()
              throws java.sql.SQLException

  Specified by:
    `free` in interface `java.sql.Clob`
  Throws:
    `java.sql.SQLException`

### getCharacterStream

    public java.io.Reader getCharacterStream(long pos,
                                             long length)
                                      throws java.sql.SQLException

  Specified by:
    `getCharacterStream` in interface `java.sql.Clob`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT